org.apache.jmeter.gui.logging

## Interface GuiLogEventListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    LoggerPanel, MainFrame.ErrorsAndFatalsCounterLogTarget
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface GuiLogEventListener
      extends java.util.EventListener

  GUI Log Event Listener.
  Since:
    3.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processLogEvent(LogEventObject logEventObject)` Process a log event object.

- - ### Method Detail

    - #### processLogEvent

          void processLogEvent(LogEventObject logEventObject)

      Process a log event object.
      Parameters:
        `logEventObject` - log event object

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.